<?php 
session_start();
	if($_SESSION['status']!="admin"){
		header("location:../logout.php");
	}

include("header.php"); // memanggil file header.php
include("koneksi.php"); // memanggil file koneksi.php untuk koneksi ke database
?>
	<div class="container">
		<div class="content">
			<h2>E-Voting &raquo; Pengumuan Baru</h2>
			<hr />
			
			<?php
			if(isset($_POST['save'])){ // jika tombol 'Simpan' dengan properti name="save" pada baris 162 ditekan
				$pengumuman	= $_POST['pengumuman'];
			
				
				
				
				$update = mysqli_query($koneksi, "UPDATE pengumuman SET pengumuman='$pengumuman'") or die(mysqli_error()); // query untuk mengupdate nilai entri dalam database
				if($update){ // jika query update berhasil dieksekusi
					echo "<script>alert('Data Telah Berhasil Disimpan');window.location='index.php'</script>"; // tambahkan pesan=sukses pada url
				}else{ // jika query update gagal dieksekusi
					echo '<div class="alert alert-danger alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>Data gagal disimpan, silahkan coba lagi.</div>'; // maka tampilkan 'Data gagal disimpan, silahkan coba lagi.'
				}
			}
			
			if(isset($_GET['pesan']) == 'sukses'){
						echo "<script>alert('Data Telah Berhasil Disimpan');window.location='index.php'</script>";
						}

			?>
			<!-- bagian ini merupakan bagian form untuk mengupdate data yang akan dimasukkan ke database -->
			<form class="form-horizontal" action="" method="post">
				


				<div class="form-group">
					<label class="col-sm-3 control-label">PENGUMUAN TERBARU</label>
					<div class="col-sm-4">
						<textarea name="pengumuman" class="form-control" placeholder="isi pengumuman disini" required></textarea>
					</div>
				</div>
				
				
				<div class="form-group">
					<label class="col-sm-3 control-label">&nbsp;</label>
					<div class="col-sm-6">
						<input type="submit" name="save" class="btn btn-md btn-primary" value="UMUMKAN" data-toggle="tooltip" title="Umumkan Sekarang">
						<a href="index.php" class="btn btn-md btn-danger" data-toggle="tooltip" title="Batal">Batal</a>
					</div>
				</div>
			</form>
		</div> <!-- /.content -->
	</div> <!-- /.container -->
<?php 
include("footer.php"); // memanggil file footer.php
?>